pydo.registries.get_subscription()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.registries.get_subscription()
Returns JSONRaises HttpResponseError

Description

A subscription is automatically created when you configure your container registry. To get information about your subscription, send a GET request to /v2/registries/subscription. It is similar to GET /v2/registry/subscription.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.registries.get_subscription()

Response Example

Show Response Example
{
  "subscription": {
    "tier": {
      "name": "Basic",
      "slug": "basic",
      "included_repositories": 5,
      "included_storage_bytes": 5368709120,
      "allow_storage_overage": true,
      "included_bandwidth_bytes": 5368709120,
      "monthly_price_in_cents": 500,
      "storage_overage_price_in_cents": 2
    },
    "created_at": "2020-01-23T21:19:12Z",
    "updated_at": "2020-11-05T15:53:24Z"
  }
}

More Information

See /v2/registries/subscription in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.